Subject: Re: [PATCH 1/1] Random documentation spelling fixes

From: Michael J Gruber <[email-masked]>
Date: Fri, 22 Jan 2010 10:18:11 +0100

Horst H. von Brand venit, vidit, dixit 22.01.2010 03:14:
> Signed-off-by: Horst H. von Brand <[email-masked]>
> ---
>  Documentation/RelNotes-1.5.0.txt       |    2 +-
>  Documentation/RelNotes-1.5.1.2.txt     |    2 +-
>  Documentation/RelNotes-1.5.1.4.txt     |    2 +-
>  Documentation/RelNotes-1.5.2.3.txt     |    2 +-
>  Documentation/RelNotes-1.5.2.txt       |    2 +-
>  Documentation/RelNotes-1.5.3.8.txt     |    2 +-
>  Documentation/RelNotes-1.5.3.txt       |    6 +++---
>  Documentation/RelNotes-1.5.4.2.txt     |    2 +-
>  Documentation/RelNotes-1.5.5.3.txt     |    2 +-
>  Documentation/RelNotes-1.5.6.txt       |    2 +-
>  Documentation/RelNotes-1.6.0.txt       |    4 ++--
>  Documentation/RelNotes-1.6.1.3.txt     |    2 +-
>  Documentation/RelNotes-1.6.3.txt       |    2 +-
>  Documentation/RelNotes-1.6.4.2.txt     |    2 +-
>  Documentation/RelNotes-1.6.4.3.txt     |    2 +-
>  Documentation/RelNotes-1.6.4.4.txt     |    2 +-
>  Documentation/RelNotes-1.6.4.txt       |    2 +-
>  Documentation/RelNotes-1.6.5.1.txt     |    2 +-
>  Documentation/RelNotes-1.6.5.3.txt     |    4 ++--
>  Documentation/RelNotes-1.6.5.4.txt     |    2 +-
>  Documentation/RelNotes-1.6.5.txt       |    2 +-
>  Documentation/RelNotes-1.6.6.txt       |    6 +++---

I don't think we should change release notes after the fact, should we?

>  Documentation/RelNotes-1.7.0.txt       |    2 +-
>  Documentation/config.txt               |    2 +-
>  Documentation/diff-format.txt          |    2 +-
>  Documentation/git-bisect-lk2009.txt    |    2 +-
>  Documentation/git-cvsimport.txt        |    4 ++--
>  Documentation/git-cvsserver.txt        |    2 +-
>  Documentation/git-fast-export.txt      |    2 +-
>  Documentation/git-filter-branch.txt    |    2 +-
>  Documentation/git-fsck.txt             |    4 ++--
>  Documentation/git-http-backend.txt     |    4 ++--
>  Documentation/git-imap-send.txt        |    4 ++--
>  Documentation/git-index-pack.txt       |    2 +-
>  Documentation/git-init.txt             |    2 +-
>  Documentation/git-ls-files.txt         |    2 +-
>  Documentation/git-merge-index.txt      |    2 +-
>  Documentation/git-mktree.txt           |    2 +-
>  Documentation/git-name-rev.txt         |    2 +-
>  Documentation/git-pack-objects.txt     |    2 +-
>  Documentation/git-patch-id.txt         |    2 +-
>  Documentation/git-receive-pack.txt     |    2 +-
>  Documentation/git-reflog.txt           |    4 ++--
>  Documentation/git-remote-helpers.txt   |    4 ++--
>  Documentation/git-remote.txt           |    2 +-
>  Documentation/git-repack.txt           |    2 +-
>  Documentation/git-replace.txt          |    4 ++--
>  Documentation/git-rev-parse.txt        |   10 +++++-----
>  Documentation/git-show-branch.txt      |    4 ++--
>  Documentation/git-show-index.txt       |    2 +-
>  Documentation/git-show-ref.txt         |    4 ++--
>  Documentation/git-submodule.txt        |    6 +++---
>  Documentation/git-svn.txt              |    8 ++++----
>  Documentation/git-tag.txt              |    2 +-
>  Documentation/git-unpack-file.txt      |    2 +-
>  Documentation/git-update-index.txt     |    4 ++--
>  Documentation/git-verify-tag.txt       |    2 +-
>  Documentation/git.txt                  |   12 ++++++------
>  Documentation/githooks.txt             |    2 +-
>  Documentation/gitk.txt                 |    2 +-
>  Documentation/gitmodules.txt           |    4 ++--
>  Documentation/gitrepository-layout.txt |    2 +-
>  Documentation/gittutorial-2.txt        |   16 ++++++++--------
>  Documentation/pretty-formats.txt       |    4 ++--
>  Documentation/user-manual.txt          |   14 +++++++-------
>  65 files changed, 110 insertions(+), 110 deletions(-)

That's not only many files changed in one patch, but also several
semi-automatic changes. We've had a discussion about SHA-1 vs. SHA1 vs.
sha1 a while ago. I don't think it led to a result, but looking that up
would be worthwhile.

Also, please have the commit message in the patch, not in a preceding
e-mail, and mention all types of changes, and split at least by category
(sha1 issue, protocol names, project names). Otherwise nobody will be
reviewing your patch, which would be sad: I favor consistency - and
failed several times in my attempts to reach it ;)

Michael